<?php

/* Copyright (C) 2014		 Support       <support@oscss-shop.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * or see http://www.gnu.org/
 */

Class subMasterlink {

    public function __construct(PageConfigSubModule $Master) {

        $this->Master = $Master;
    }

    public function PrepareContext() {
        global $langs, $conf, $html, $mysoc;

        $html = new Form($this->Master->db);


        if ($_POST["action"] == 'setlistpath') {
            dol_include_once('/framework/class/masterlink.class.php');
            
            $ml = new masterlink($this->Master->db); 
            
            $original = GETPOST("original");
            $custom = GETPOST("custom");
            $delete = GETPOST("delete");

            
            $lastactiv = []; 
            foreach($original as $k=>$v) {

                if($k > 0 )
                    $ml->fetch($k); 
                
                if($delete[$k] == 1 ) {
                
                    $ml->delete($k); 
                }
                elseif(!empty($v) && !empty($custom[$k]) ) {
                
                    $ml->original = $v; 
                    $ml->custom = $custom[$k]; 
                    
                    if(in_array(  md5($v), $lastactiv)) 
                        $ml->active = '0'; 
                    else 
                        $ml->active = '1'; 
                    
                    $lastactiv[] = md5($v); 
                    
                    if($k > 0 )
                        $ml->update(); 
                    else 
                        $ml->create(); 
                }
            }
            
            
            header('Location:'. dol_buildpath('/framework/admin/index.php',2).'?page=masterlink' );
            exit;
        
        }
    }

    /**
      @brief constructor
     */
    public function DisplayPage() {
        global $langs, $conf, $html;

        // Translations
        $langs->load("admin");
        $langs->load($this->Master->filelang);


        dol_include_once('/' . $this->Master->module . '/admin/tpl/' . $this->Master->currentpage . '.tpl');
    }

}

?>
