<?php

/* Copyright (C) 2014		 Support       <support@oscss-shop.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * or see http://www.gnu.org/
 */

global $langs, $conf, $html, $db, $action;

dol_include_once('/masterlink/class/masterlink.class.php');
dol_include_once('/masterlink/class/html.form.masterlink.class.php');


print '<br>';
print '<form method="post" action="">';
print '<input type="hidden" name="token" value="' . $_SESSION['newtoken'] . '">';

if(GETPOST("action") == 'edit' )
	print '<input type="hidden" name="action" value="setlistpath">';

clearstatcache();

print '<table class="noborder" width="100%">';
print '<caption>' . $langs->trans("MasterlinkMySetup") . '</caption>';

print '<p>' . $langs->trans("MasterlinkMySetupHelp") . '</p>';

print '<tr class="liste_titre">';
print '<td>' . $langs->trans("Origin") . '</td>';
print '<td>' . $langs->trans("Custom") . '</td>';
if(GETPOST("action") == 'edit' ) 
    print '<td width="10%">' . $langs->trans("Delete") . '</td>';
else 
    print '<td width="10%">' . $langs->trans("Active") . '</td>';
print "</tr>\n";

$ml = new masterlink($db); 

foreach( $ml->fetchall() as $k=>$v ) {

// print_r($v); 
	$var = !$var;
	
	if(GETPOST("action") == 'edit' ) {
		print '<tr ' . $bc[$var] . '>';
			print '<td width="20%"><input type="text" name="original['.$v->id.']" value="' . $v->original . '" size="60" /></td>';
			print '<td>'; 
            print '<input type="text" name="custom['.$v->id.']"  value="'. $v->custom . '" size="100" />';
			print '</td>'; 
			print '<td>'; 
                print '<input type="checkbox" name="delete['.$v->id.']"  value="1"  />';
			print '</td>'; 
		print "</tr>\n";
	}
	else{
	
		print '<tr ' . $bc[$var] . '>';
			print '<td width="20%">' . $v->original . '</td>';
			print '<td width="20%">' . $v->custom . '</td>';
			print '<td>' . $v->active . '</td>';

		print "</tr>\n";
	}
}




if(GETPOST("action") == 'edit' ) {

    print '<tr ' . $bc[$var] . '>';
        print '<td width="20%"><input type="text" name="original[0]" value="" size="60" /></td>';
        print '<td>'; 
        print '<input type="text" name="custom[0]"  value="" size="100" />';
        print '</td>'; 
        print '<td>'; 
        print '</td>'; 
    print "</tr>\n";


	print '<tr ' . $bc[$var] . '><td colspan="3" align="right">';
        print '<a  class="button" href="'.dol_buildpath('/framework/admin/index.php',2).'?page=masterlink">'.$langs->trans('Cancel').'</a>';
        print '<input type="submit" class="button" value="' . $langs->trans("Modify") . '">';
	print "</td></tr>\n";
}
else {
	print '<tr ' . $bc[$var] . '><td colspan="3" align="right">';
	print '<a  class="button" href="'.dol_buildpath('/framework/admin/index.php',2).'?page=masterlink&action=edit">'.$langs->trans('Edit').'</a>';
	print "</td></tr>\n";
}
print '</table>';
print '</form>';
print '<br>';



